> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Import

> Triggers the process of importing users, rooms and messages to the workspace.
Permission required: `run-import`

### Changelog
| Version      | Description |
| ---------------- | ------------|
|7.0.0            | Remove required extra data from `users` and `channels` parameters. Use only record ID of the users or channels.   |
|3.0.0            | Added       |

## OpenAPI

````json POST /api/v1/startImport
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/startImport": {
      "parameters": [],
      "post": {
        "summary": "Start Import",
        "operationId": "post-api-v1-startImport",
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/forbiddenError"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "input"
                ],
                "properties": {
                  "input": {
                    "type": "object",
                    "required": [
                      "users",
                      "channels"
                    ],
                    "description": "The input object contains two arrays: `users` and `channels`.",
                    "properties": {
                      "users": {
                        "type": "object",
                        "description": "An object of the users to be imported. If `all` is true, `list` is ignored.",
                        "properties": {
                          "all": {
                            "type": "boolean",
                            "description": "Set to `true` to import all users."
                          },
                          "list": {
                            "type": "array",
                            "description": "When `all` is false, list the record IDs of users to be imported.",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      },
                      "channels": {
                        "type": "object",
                        "description": "An object of the channels to import. If `all` is true, `list` is ignored.",
                        "properties": {
                          "all": {
                            "type": "boolean",
                            "description": "Set to `true` to import all channels."
                          },
                          "list": {
                            "type": "array",
                            "description": "When `all` is false, list the record IDs of channels to be imported.",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "examples": {
                "Example": {
                  "value": {
                    "input": {
                      "users": {
                        "all": "true",
                        "list": [
                          "testbh"
                        ]
                      },
                      "channels": {
                        "all": "false",
                        "list": [
                          "WDuJLFkjwk6L7LdFC"
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Import"
        ],
        "description": "Triggers the process of importing users, rooms and messages to the workspace.\nPermission required: `run-import`\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|7.0.0            | Remove required extra data from `users` and `channels` parameters. Use only record ID of the users or channels.   |\n|3.0.0            | Added       |"
      }
    }
  },
  "components": {
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "forbiddenError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      }
    }
  }
}
````

